/*
 * Copyright (C) 2021-2024  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef EXCEPTION_HH_8977649E6CE0CA062A5E339CC23903D2
#define EXCEPTION_HH_8977649E6CE0CA062A5E339CC23903D2

#include <stdexcept>

namespace Fred {
namespace Akm {

struct ConfigurationError : std::runtime_error
{
    using std::runtime_error::runtime_error;
};

struct ProtoException : std::runtime_error
{
    using std::runtime_error::runtime_error;
};

struct GrpcException : std::runtime_error
{
    using std::runtime_error::runtime_error;
};

struct ExportError : std::runtime_error
{
    using std::runtime_error::runtime_error;
};

struct WrapperError : std::runtime_error
{
    using std::runtime_error::runtime_error;
};

} // namespace Fred::Akm
} // namespace Fred

#endif//EXCEPTION_HH_8977649E6CE0CA062A5E339CC23903D2
