/*
 * Copyright (C) 2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef EXPORT_SCAN_TASKS_HH_205608D6E9FAF4FE32D4EE1CCF524178//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define EXPORT_SCAN_TASKS_HH_205608D6E9FAF4FE32D4EE1CCF524178

#include "src/supervisor_connection_string.hh"
#include "src/scan_tasks.hh"

namespace Fred {
namespace Akm {
namespace GrpcClient {

void export_scan_tasks(const SupervisorConnectionString&, const ScanTasks&);

} // namespace Fred::Akm::GrpcClient
} // namespace Fred::Akm
} // namespace Fred

#endif//EXPORT_SCAN_TASKS_HH_205608D6E9FAF4FE32D4EE1CCF524178
