/*
 * Copyright (C) 2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */
#ifndef __MAKE_STUB__79F01CA6F0974487461D88FF3153DA30
#define __MAKE_STUB__79F01CA6F0974487461D88FF3153DA30

#include "cdnskey_processor_api/service_supervisor_grpc.grpc.pb.h"
#include "src/supervisor_connection_string.hh"

namespace Fred {
namespace Akm {
namespace GrpcClient {

std::unique_ptr<CdnskeyProcessor::Api::Supervisor::Supervisor::Stub>
make_stub(const SupervisorConnectionString&);

} // namespace Fred::Akm::GrpcClient
} // namespace Fred::Akm
} // namespace Fred

#endif
