/*
 * Copyright (C) 2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */
#ifndef __TO_OBJECT_REFERENCE__FDD01A51CC9B8B440BE7FA75E8CBDE40
#define __TO_OBJECT_REFERENCE__FDD01A51CC9B8B440BE7FA75E8CBDE40

#include "src/domain.hh"
#include "src/keyset_reference.hh"

#include <libgrill/logger/object_reference.hh>

namespace LibGrill {
namespace Logger {

template <>
ObjectReference to_object_reference(const Fred::Akm::DomainId&);

template <>
ObjectReference to_object_reference(const Fred::Akm::KeysetId&);

} // namespace LibGrill::Logger
} // namespace LibGrill

#endif
